(defsystem #:truth-table
  :description "Tools for working with logical propositions and truth tables"
  :author "Alexander Rosenberg <zanderpkg@pm.me>"
  :license "AGPL3"
  :depends-on ())

(defsystem #:truth-table/base
  :version "0.0.1"
  :serial t
  :components
  ((:file "packages")
   (:file "parse")
   (:file "eval")
   (:file "table")
   (:file "typeset")))

(defsystem #:truth-table/cli
  :depends-on (#:uiop
               #:with-user-abort
               #:truth-table/base)
  :serial t
  :components
  ((:file "packages")
   (:file "cli")))
